require 'active_support/all'
require 'pry'
require 'colorize'

module Deis

  autoload :Helpers, 'deis/helpers'
  autoload :Commands, 'deis/commands'
  autoload :Runner, 'deis/runner'
  autoload :VERSION, 'deis/version'

  TRUTHY_STRINGS = %w(t true y yes 1).flat_map do |str|
    [str.downcase, str.upcase, str.capitalize]
  end.uniq

  FALSEY_STRINGS = %w(f false n no 0).flat_map do |str|
    [str.downcase, str.upcase, str.capitalize]
  end.uniq

  NonZeroExitError = Class.new(StandardError)

end
